Skip to navigation

Retrieve Audit Log Entry

View as Markdown

Retrieve a specific Audit Log Entry by ID

User must have authorization role with PROVIDER_ADMIN or TENANT_ADMIN suffix

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
auditEntryIdstringRequired
ID of the Audit Log Entry

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique identifier
endpointstringOptional
API endpoint
queryParamsmap from strings to lists of stringsOptional
Query parameters from the request URL, keyed by parameter name. Each value contains all values supplied for that parameter.
methodstringOptional
HTTP method
bodyobjectOptional

Audited request body. JSON object bodies retain their properties directly after sensitive fields are recursively obfuscated. Valid non-object JSON is stored in value. Malformed JSON is represented by jsonParseFailed: true without retaining the raw request content.

statusCodeintegerOptional
HTTP response status code
statusMessagestringOptional
HTTP response status message
clientIPstringOptional
Client IP address
userIDstring or nullOptionalformat: "uuid"
User ID that executed the API call
userobjectOptional
User that executed the API call
orgNamestringOptional
Organization name
extraDataobjectOptional
Extra data in JSON format
timestampdatetimeOptional
API execution time
durationMslongOptional
API execution duration in milliseconds
apiVersionstringOptional
API version

Errors

403
Forbidden Error